Trading Options
===

[![RimWorld](https://img.shields.io/badge/RimWorld-1.4-informational)](https://rimworldgame.com/) [![Steam Downloads](https://img.shields.io/steam/downloads/2876541977)](https://steamcommunity.com/sharedfiles/filedetails/?id=2813426619) [![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT) [![Contributor Covenant](https://img.shields.io/badge/Contributor%20Covenant-2.1-4baaaa.svg)](CODE_OF_CONDUCT.md)

![Mod preview](About/Preview.png)

[Trading Options](https://steamcommunity.com/sharedfiles/filedetails/?id=2876541977) is a [RimWorld](https://rimworldgame.com/) mod which lets you customize your trading experience!

![Mod settings image](Preview/ui.png?raw=true)

You can easily change:

• How frequently caravans, orbital traders or visitors will arrive at the colony.

• Amount of silver in stock for any trader type.

• Amount of other stock for any trader type.

• Make traders have more items in stock if your colony is wealthy.

• Slaver traders appear regardless of your colony population.

### Savegames

You can safely add Trading Options to an existing save-game. You can modify any of the settings at any point during the game. The changes will apply immediately, but only new traders will be affected.

### Mod compatibility

Trading Options is compatible with all mods that change the stock of a trader. The changes stack. Trading Options may be incompatible with any mod that changes trader frequency.

**Compatibility with Combat Extended:** Check the official [Supported Third-Party Mods](url=https://github.com/CombatExtended-Continued/CombatExtended/blob/Development/SupportedThirdPartyMods.md) list in the Combat Extended documentation.

Development
---

To compile this mod on Windows, you will need to install the [.NET Framework 4.7.2 Developer Pack](https://dotnet.microsoft.com/en-us/download/dotnet-framework/net472). On Linux the packages you need vary depending on your distribution of choice. Dependencies are managed using NuGet. Compiling this project does not require any [external dependencies or extra setup steps](https://ludeon.com/forums/index.php?topic=49914.0).

Contributions
---

This project encourages community involvement and contributions. Check the [CONTRIBUTING](CONTRIBUTING.md) file for details.

• joseasoler: Programming

• [Sir Van](https://steamcommunity.com/id/UnVan/myworkshopfiles/?appid=294100): Art

Other contributors can be checked in the [contributors list](https://gitlab.com/joseasoler/trading-options/-/graphs/main).

[![RimWorld Mod Market discord server](https://i.imgur.com/cfoFEMA.png)](url=https://discord.gg/7befJWr9xS)

License
---

This project is licensed under the MIT license. Check the [LICENSE](LICENSE) file for details.

Acknowledgements
---

Read the [ACKNOWLEDGEMENTS](ACKNOWLEDGEMENTS.md) file for details.
